#include "namelabel.h"
#include <QHBoxLayout>
#include <QLabel>
#include <QVariant>
#include <QIcon>
#include <QMouseEvent>

NameLabel::NameLabel(QWidget *parent) : QWidget(parent)
{
    setMaximumWidth(500);
    QHBoxLayout *nameLayout = new QHBoxLayout(this);

    nameLabel = new KALabel(this);
    QSizePolicy nameSizePolicy = nameLabel->sizePolicy();
    nameSizePolicy.setHorizontalPolicy(QSizePolicy::Fixed);
    nameSizePolicy.setVerticalPolicy(QSizePolicy::Fixed);
    nameLabel->setSizePolicy(nameSizePolicy);
    nameLabel->setAlignment(Qt::AlignLeft);

    changeNameLabel = new QLabel(this);
    changeNameLabel->installEventFilter(this);
    changeNameLabel->setFixedSize(QSize(16, 16));
    changeNameLabel->setPixmap(QIcon::fromTheme("document-edit-symbolic").pixmap(changeNameLabel->size()));
    changeNameLabel->setProperty("useIconHighlightEffect", 0x2);
    nameLayout->addWidget(nameLabel);
    nameLayout->addWidget(changeNameLabel);
}

void NameLabel::mouseReleaseEvent(QMouseEvent * ev){
   emit clicked();
}

void NameLabel::setText(QString text)
{
    nameLabel->setText(text);
}
